geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ted Kirby (JIRA)" <j...@apache.org>
Subject [jira] Created: (GERONIMO-3174) Can't start server with eclipse plugin
Date Fri, 18 May 2007 19:59:16 GMT
Can't start server with eclipse plugin
--------------------------------------

                 Key: GERONIMO-3174
                 URL: https://issues.apache.org/jira/browse/GERONIMO-3174
             Project: Geronimo
          Issue Type: Bug
      Security Level: public (Regular issues)
          Components: eclipse-plugin
    Affects Versions: 2.0-M6
            Reporter: Ted Kirby
            Priority: Critical
             Fix For: 2.0-M6


I am using rev 539255.  When I start the server, I get:

Exception in thread "main" java.lang.IllegalArgumentException: Argument type is [class [Ljava.lang.String;];
expected [class org.apache.geronimo.cli.daemon.DaemonCLParser]
	at org.apache.geronimo.system.main.EmbeddedDaemon.execute(EmbeddedDaemon.java:56)
	at org.apache.geronimo.kernel.util.MainConfigurationBootstrapper.main(MainConfigurationBootstrapper.java:45)
	at org.apache.geronimo.kernel.util.MainConfigurationBootstrapper.main(MainConfigurationBootstrapper.java:33)

It looks like this code-path was missed in recent CLI refactoring, which occurred after last
eclipse plugin update.

I tried having the eclise plugin start org.apache.geronimo.system.main.Daemon instead of org.apache.geronimo.kernel.util.MainConfigurationBootstrapper,
but the server never seemed to come up.

My next attempt will be to fix MainConfigurationBootstrapper.main(String[] args) like Daemon.main(String[]
args), tho I am not sure that have geronimo-kernel depend on geronimo-system will work or
is proper.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message